package com.yunan.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.connection.RedisConnectionFactory;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.serializer.JdkSerializationRedisSerializer;
import org.springframework.data.redis.serializer.StringRedisSerializer;


/*告诉spring,运行的时候加载读取这个类*/
@Slf4j
@Configuration
public class RedisConfig {

    @Bean
    public RedisTemplate<String, Object>
    redisTemplate(RedisConnectionFactory connectionFactory) {
        RedisTemplate<String, Object> redisTemplate = new
                RedisTemplate<String, Object>();
        redisTemplate.setKeySerializer(new StringRedisSerializer());
        redisTemplate.setValueSerializer
                (new JdkSerializationRedisSerializer());
        redisTemplate.setConnectionFactory(connectionFactory);
        log.info("redis配置已加载！！！");
        return redisTemplate;
    }
}

