package com.yunan.response;

// ErrorResponse.java
public class ErrorResponse {
    private String message;  // 错误消息
    private int code;        // 错误代码 (可选)
    private long timestamp;  // 错误发生的时间戳 (可选)

    // 构造方法
    public ErrorResponse(String message) {
        this.message = message;
        this.timestamp = System.currentTimeMillis(); // 当前时间戳
        this.code = 400;  // 默认为 400 错误代码
    }

    // 构造方法（带自定义错误码）
    public ErrorResponse(String message, int code) {
        this.message = message;
        this.code = code;
        this.timestamp = System.currentTimeMillis();
    }

    // Getter 和 Setter
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }
}

